## harden-doc 3.13

=== howto-source/Makefile ===
#
# Based  Makefile Template from Osamu Aoki
#
#  Build html(multi-page), txt, ps, pdf, and other formats.
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Woody system                     #
#   "ps" and "pdf" tends to break in some ill-configured systems      #
# ------------------------------------------------------------------- #
# Read local texmf.cnf file

export PATH:=bin/:${PATH}
 
# Woodys default LaTeX settings need more memory for en PDF
export TEXMFCNF:=texmf/:

.SUFFIXES:

# Following default shall be edited by the coordinator for the entire
# set of languages.  If a subsection owner wishes to override settings,
# they can be overridden by running make with "make 'LANGS1=fi'" etc.. 

# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-dependent SGML (DDP default, generated)
MANUAL := securing-debian-howto

# Basename for language-independent SGML-template.
MANUAL0 := $(MANUAL)

# Build type: Possible values are BUILD_TYPE = web|package
BUILD_TYPE  := web

# Publish directory
# This can and will be overridden by a higher level makefile
PUBLISHDIR := ~/public_html/manuals.html

# List of languages built for "distclean" target for DDP:
LANGSALL := en de fr es it ru ja zh-cn
# List of languages built for "publish" target for DDP
#LANGS    := en de fr pt-br
LANGS    := es
# This are all the languages, not all are compiled for DDP
# due to them being out of dte
#LANGS    := en de fr es it ru ja zh-cn pt-br

# Files which affect SGML generation (excluding *.sgml)
SGMLENTS := custom.ent default.ent

# All SGML source files
SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) \
	    $(foreach lang, $(LANGS), $(wildcard $(lang)/*.sgml ) ) \
	    $(SGMLENTS)

# =================================================================== #
#                 Build target default part: Routine                  #
# =================================================================== #
# If some languages have problems building, filter-out in here.

# define $(locale) for the following targets
$(MANUAL).%.html.stamp $(MANUAL).%.txt $(MANUAL).%.ps $(MANUAL).%.pdf: \
  locale=$(subst pt-br,pt_BR,\
         $(subst zh-cn,zh_CN,\
	 $*))

### Full guide

# List of html stamp files to be built
HTMLS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).html.stamp)

# List of txt to be built
TXTS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).txt)

# List of ps to be built
PSS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).ps)

# List of pdf to be built
PDFS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).pdf)


# =================================================================== #
#                 Build target part: Customize                        #
# =================================================================== #
# If some languages have problems building, filter-out in here.

all: html txt ps pdf
html: $(HTMLS)
text txt:  $(TXTS)
ps:   $(PSS)
pdf:  $(PDFS)

publish: publish-html publish-txt publish-ps publish-pdf

# =================================================================== #
#                 Build rule part: If not package build               #
# =================================================================== #

$(MANUAL).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"`LC_ALL=C date -R`\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@


# =================================================================== #
#                 Build rule part: Routine                            #
# =================================================================== #

# SGML

# Create starting SGML for each language from the template.  Actual
# contents reside in language-segregated subdirectories.

$(MANUAL).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL)/g" \
	        $< > $(MANUAL).$*.sgml

# HTML
$(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2html -l $(locale) -c $<
# since $(MANUAL).%.html/index.%.html cannot be a target file
	@for file in `ls $(MANUAL).$*.html/*` ; do \
	newfile=`echo $$file|\
	    sed 's/$(shell echo $*|\
		sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
		)\.html/$*\.html/'`; \
	if [ $$file != $$newfile ] ; then \
		mv $$file $$newfile; \
		echo "Rename $$file --> $$newfile"; \
	fi \
	done
	touch $(MANUAL).$*.html.stamp

# TXT

$(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2text -l $(locale) $<


# PS

$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2latexps -l $(locale) $<

# PDF

$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2latexpdf -l $(locale) $<

# DVI

$(MANUAL).%.dvi: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2dvi $<


# =================================================================== #
#                 Build rule part: Web publish                        #
# =================================================================== #

publish-html: html
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	# install all html
	$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)
publish-txt:  txt
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.txt
	# install all txt
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).txt \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)

publish-ps:  ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	# install all ps
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).ps \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)


publish-pdf:  pdf
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.pdf
	# install all pdf1
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).pdf \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)


#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(LANGS); do $(MAKE) validate1-$$i ; done

validate1-%: $(SGMLSRCS) $(MANUAL)-%.ent 
	nsgmls -gues -wall $(MANUAL)-$*.sgml


#====[ cleaning up ]===========================================================
distclean: clean
	rm -Rf $(PUBLISHDIR)/$(MANUAL)
	rm -f *.error $(MANUAL).*.sgml

clean:
	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov}
	rm -f *~ prior.aux pprior.aux tar.gz.log
	rm -f *.error $(MANUAL).*.ent $(MANUAL).*.sgml date.ent $(MANUAL).*.tpt
	rm -rf $(MANUAL)*.html *stamp

.PHONY: all html text txt ps pdf \
	publish publish-html publish-tst publish-ps publish-pdf \
	clean distclean validate

=== debian/changelog ===
harden-doc (3.13) unstable; urgency=low

  * Fix encoding in debian/changelog and debian/copyright (Closes: #454001)
  * Move Homepage to package header
  * Make it Build-Depend on latex-cjk-chinese-arphic-gkai00mp instead of
    on tfm-arphic-gkai00mp
  * Update to latest CVS version:
     - Fix references to Lion and Ramen worm (Closes: #396387) 
     - Fix location of testing-security repositories (Closes:  #416560)
     - Update documentation to refer to linux-image in the examples 
       instead of kernel-image (Closes: #419483)
     - Fix typos spotted by Francesco Poli  (Closes: #420378)
     - Fix minor bugs in Snort appendix (Closes: #402637)
     - Fix location of syslog options (Closes: 412482)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 11 Feb 2008 21:56:37 +0100

=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, tetex-bin, tetex-extra, gs-gpl | gs-esp, cjk-latex, hbf-kanji48, latex-cjk-chinese-arphic-gkai00mp | tfm-arphic-gkai00mp
Standards-Version: 3.5.8
Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-doc
Architecture: all
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation 
 Project.
 .
 The manual is provided both in English and in all available
 translations, which might not be, however fully up-to-date.
 Available translations include:
 French, German, Japanese and Simplified Chinese.

## harden-doc 3.13.2

=== howto-source/Makefile ===
--- 
+++ 
@@ -47,8 +47,7 @@
 # List of languages built for "distclean" target for DDP:
 LANGSALL := en de fr es it ru ja zh-cn
 # List of languages built for "publish" target for DDP
-#LANGS    := en de fr pt-br
-LANGS    := es
+LANGS    := en de fr pt-br
 # This are all the languages, not all are compiled for DDP
 # due to them being out of dte
 #LANGS    := en de fr es it ru ja zh-cn pt-br

=== debian/changelog ===
harden-doc (3.13.2) unstable; urgency=low

  * Fix FTBFS by changing Build-Depends-Indep tetex-bin and tetex-extra
    dependencies to texlive and texlive-latex-extra (Closes: #562376)
  * Update to debhelper compatibility version 5 in debian/compat, comment
    out the definition of DH_COMPAT in debian/rules

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 11 Jan 2010 22:57:00 +0100

harden-doc (3.13.1) unstable; urgency=low

  * Drop hbf-kanji48 Build-Dependency, as this package's removal has been
    requested (see #503506). The Build-Dependency was required for the
    japanese translation but we do not provide it currently.
  * Fix lintian-error doc-base-file-uses-obsolete-national-encoding
    by converting debian/harden-doc.doc-base from ISO-8859-1 to UTF-8
  * Update debian/control since it claimed that the package included
    Japanese and Traditional Chinese translations when it actually does not.
  * Move over the Build-Dependencies for languages that we do not provide
    to a new debian/control.all-langs, in this file:
       - Replace cjk-latex with latex-cjk-common, as the former is a
         dummy package

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 11 Sep 2009 08:55:18 +0200

=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, texlive, texlive-latex-extra, gs-gpl | gs-esp
Standards-Version: 3.5.8
Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/

Package: harden-doc
Architecture: all
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation 
 Project.
 .
 The manual is provided both in English and in all available
 translations, which might not be, however fully up-to-date.
 Available translations include: French and German.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
# export DH_COMPAT=5

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp configure-stamp
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install
	dpsch-cvsclean


# Build architecture-independent files here.
binary-arch: 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
# Note: dh_dhelp is no longer available (deprecated) so we just ship
# the doc-base files:
	dh_installdocs -i
#	dh_installexamples -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## harden-doc 3.13.3

=== howto-source/Makefile ===
--- 
+++ 
@@ -12,11 +12,6 @@
 # ------------------------------------------------------------------- #
 # Read local texmf.cnf file
 
-export PATH:=bin/:${PATH}
- 
-# Woodys default LaTeX settings need more memory for en PDF
-export TEXMFCNF:=texmf/:
-
 .SUFFIXES:
 
 # Following default shall be edited by the coordinator for the entire
@@ -45,9 +40,9 @@
 PUBLISHDIR := ~/public_html/manuals.html
 
 # List of languages built for "distclean" target for DDP:
-LANGSALL := en de fr es it ru ja zh-cn
+LANGSALL := en de fr es it ru ja zh-cn it
 # List of languages built for "publish" target for DDP
-LANGS    := en de fr pt-br
+LANGS    := en de fr pt-br it
 # This are all the languages, not all are compiled for DDP
 # due to them being out of dte
 #LANGS    := en de fr es it ru ja zh-cn pt-br
@@ -223,7 +218,7 @@
 
 clean:
 	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov}
-	rm -f *~ prior.aux pprior.aux tar.gz.log
+	rm -f *~ prior.aux pprior.aux body.tmp head.tmp tar.gz.log
 	rm -f *.error $(MANUAL).*.ent $(MANUAL).*.sgml date.ent $(MANUAL).*.tpt
 	rm -rf $(MANUAL)*.html *stamp

=== debian/changelog ===
harden-doc (3.13.3) unstable; urgency=high

  * Fix RC-bug (FTBFS) due to a bug in debiandoc-sgml generation of the TeX
    for French by working around it and removing the tags in the section header
    of the French documentation. (Closes:#571429)
  * Replace dependency with gs-gpl | gs-eps to ghostscript since the 
    previous packages are obsolete (Closes: #575656)
  * Remove CVS subdirs from the local copy of the sources and use SVN
    instead.
  * Update debian/control to add references to the location of the SVN
    sources at Alioth.
  * Update to latest content in DDP SVN.
  * Add an 'update' target in debian/rules to update the sources

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 30 Aug 2010 06:16:39 +0200

=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, texlive, texlive-latex-extra, ghostscript
Standards-Version: 3.5.8
Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/securing-howto/
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/securing-howto/


Package: harden-doc
Architecture: all
Description: Useful documentation to secure a Debian system
 Harden-doc will install documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation 
 Project.
 .
 The manual is provided both in English and in all available
 translations, which might not be, however, fully up-to-date.
 Available translations include: French and German.

## harden-doc 3.15

=== howto-source/Makefile ===
--- 
+++ 
@@ -139,18 +139,18 @@
 # TXT
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2text -l $(locale) $<
+	debiandoc2text $(DEBIANDOC2TEXT_FLAGS) -l $(locale) $<
 
 
 # PS
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexps -l $(locale) $<
+	debiandoc2latexps $(DEBIANDOC2LATEXPS_FLAGS) -l $(locale) $<
 
 # PDF
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexpdf -l $(locale) $<
+	debiandoc2latexpdf $(DEBIANDOC2LATEXPDF_FLAGS) -l $(locale) $<
 
 # DVI

=== debian/changelog ===
harden-doc (3.15) unstable; urgency=low

  * Update the package with the latest sources
    - Fix broken links (Closes: 636582)
  * Apply patch provided by  Jari Aalto that adds the DEBIANDOC2LATEXPS_FLAGS
    to help debug build issues (Closes: 579902)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 26 Mar 2012 23:18:08 +0200

## harden-doc 3.15.1

=== howto-source/Makefile ===
--- 
+++ 
@@ -39,13 +39,12 @@
 # This can and will be overridden by a higher level makefile
 PUBLISHDIR := ~/public_html/manuals.html
 
-# List of languages built for "distclean" target for DDP:
-LANGSALL := en de fr es it ru ja zh-cn it
+# List of languages not being handled with po4a:
+LANGSNOPO := en de es it pt-br ru ja zh-cn
+# List of languages handled with po4a:
+LANGSPO  := fr
 # List of languages built for "publish" target for DDP
-LANGS    := en de fr pt-br it
-# This are all the languages, not all are compiled for DDP
-# due to them being out of dte
-#LANGS    := en de fr es it ru ja zh-cn pt-br
+LANGS    := en de fr pt-br
 
 # Files which affect SGML generation (excluding *.sgml)
 SGMLENTS := custom.ent default.ent
@@ -55,6 +54,12 @@
 	    $(foreach lang, $(LANGS), $(wildcard $(lang)/*.sgml ) ) \
 	    $(SGMLENTS)
 
+# All SGML targets not being handled with po4a:
+SGMLNOPOSRCS := $(foreach lang, $(LANGSNOPO), $(MANUAL).$(lang).sgml)
+
+# All SGML targets handled with po4a:
+SGMLPOSRCS := $(foreach lang, $(LANGSPO), $(MANUAL).$(lang).sgml)
+
 # =================================================================== #
 #                 Build target default part: Routine                  #
 # =================================================================== #
@@ -64,7 +69,8 @@
 $(MANUAL).%.html.stamp $(MANUAL).%.txt $(MANUAL).%.ps $(MANUAL).%.pdf: \
   locale=$(subst pt-br,pt_BR,\
          $(subst zh-cn,zh_CN,\
-	 $*))
+	 $(subst fr,fr.UTF-8,\
+	 $*)))
 
 ### Full guide
 
@@ -114,15 +120,20 @@
 # Create starting SGML for each language from the template.  Actual
 # contents reside in language-segregated subdirectories.
 
-$(MANUAL).%.sgml: $(MANUAL0).sgml
+$(SGMLNOPOSRCS): $(MANUAL).%.sgml: $(MANUAL0).sgml
 	sed -e "s/@@LANGS@@/$*/g" \
 	    -e "s/@@DIRS@@/$*/g" \
 	    -e "s/@@NAME@@/$(MANUAL)/g" \
 	        $< > $(MANUAL).$*.sgml
 
+# Create starting SGML for each language handled with po4a
+
+$(SGMLPOSRCS): $(MANUAL).%.sgml: $(MANUAL).en.sgml $(MANUAL).en.ent po4a/po/%.po
+	po4a po4a/po4a.cfg
+
 # HTML
 $(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2html -l $(locale) -c $<
+	debiandoc2html -l $(locale) -C $<
 # since $(MANUAL).%.html/index.%.html cannot be a target file
 	@for file in `ls $(MANUAL).$*.html/*` ; do \
 	newfile=`echo $$file|\
@@ -139,18 +150,18 @@
 # TXT
 
 $(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2text $(DEBIANDOC2TEXT_FLAGS) -l $(locale) $<
+	debiandoc2text -l $(locale) $<
 
 
 # PS
 
 $(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexps $(DEBIANDOC2LATEXPS_FLAGS) -l $(locale) $<
+	debiandoc2latexps -l $(locale) $<
 
 # PDF
 
 $(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
-	debiandoc2latexpdf $(DEBIANDOC2LATEXPDF_FLAGS) -l $(locale) $<
+	debiandoc2latexpdf -l $(locale) $<
 
 # DVI

=== debian/changelog ===
harden-doc (3.15.1) unstable; urgency=low

  * Team upload.
  * Allow po4a to handle translations. (Closes: #666786)
  * Update French translation via PO file.

 -- David Prévot <taffit@debian.org>  Thu, 23 Aug 2012 11:04:36 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: extra
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, texlive, texlive-latex-extra, ghostscript
+Build-Depends-Indep: debhelper (>> 3.0.0), dpsyco-devel, debiandoc-sgml (>=1.1.86), perl, texinfo, texlive, texlive-latex-extra, ghostscript, po4a
 Standards-Version: 3.5.8
 Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
 Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/securing-howto/

=== debian/rules ===
--- 
+++ 
@@ -64,4 +64,7 @@
 	dh_builddeb -i
 
 binary: binary-indep
+
+update:
+	cd howto-source && svn update
 .PHONY: build clean binary-indep binary-arch binary install configure

## harden-doc 3.16

=== howto-source/Makefile ===
--- 
+++ 
@@ -129,7 +129,7 @@
 # Create starting SGML for each language handled with po4a
 
 $(SGMLPOSRCS): $(MANUAL).%.sgml: $(MANUAL).en.sgml $(MANUAL).en.ent po4a/po/%.po
-	po4a po4a/po4a.cfg
+	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a po4a/po4a.cfg
 
 # HTML
 $(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
@@ -228,9 +228,8 @@
 	rm -f *.error $(MANUAL).*.sgml
 
 clean:
-	rm -f $(MANUAL)*.{txt,ps,dvi,pdf,info*,log,tex,aux,toc,sasp*,out,tov}
-	rm -f *~ prior.aux pprior.aux body.tmp head.tmp tar.gz.log
-	rm -f *.error $(MANUAL).*.ent $(MANUAL).*.sgml date.ent $(MANUAL).*.tpt
+	rm -f $(MANUAL).*.ent $(MANUAL).*.sgml $(MANUAL).*.tpt $(foreach suff,txt ps dvi pdf info* log tex aux toc sasp* out tov,$(wildcard $(MANUAL)*.$(suff)))
+	rm -f *~ prior.aux pprior.aux body.tmp head.tmp tar.gz.log *.error date.ent
 	rm -rf $(MANUAL)*.html *stamp
 
 .PHONY: all html text txt ps pdf \

=== debian/changelog ===
harden-doc (3.16) unstable; urgency=low

  [ Javier Fernández-Sanguino Peña ]
  * Update to latest version in SVN:
    - en/after-install.sgml: Extend the information regarding securing console
      access, including limiting the Magic SysRq key (Closes: #442893)
    - en/after-install.sgml: Update the information on PAM
      configuration, removing references to obsolete variables.
      (Closes: #420380)
    - Makefile - 'clean' target is independent from bash brace expansion. In
      some systems, those where /bin/sh is linked to dash, bash-style brace
      expansion does not work. Based on patch provided by Felix Gatzemeier
      (Closes: #694822)

  [ Thijs Kinkhorst ]
  * Update to latest version in SVN:
    - No longer include the Security Team FAQ verbatim, because it duplicates
      information documented elsewhere and is hence perpetually out of date.
      (Closes: #773904)
    - Update section on restart after library upgrades to mention needrestart.
      (Closes: #773904, #415529)
    - Avoid gender-specific language. Patch by Myriam. (Closes: #755003)
    - Use LSB headers for firewall script. Patch by Dominic Walden.
      (Closes: #750554)
  * Add self to uploaders.

  [ David Prévot ]
  * Add missing texlive-lang- build-dependencies (Closes: #713311)
  * Workaround issue #725931 from po4a

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 30 Dec 2014 12:31:43 +0000

=== debian/control ===
Source: harden-doc
Section: doc
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0),
                     debiandoc-sgml,
                     dpsyco-devel,
                     ghostscript,
                     perl,
                     po4a,
                     texinfo,
                     texlive,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-portuguese,
                     texlive-latex-extra
Standards-Version: 3.5.8
Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/securing-howto/
Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/securing-howto/

Package: harden-doc
Architecture: all
Description: useful documentation to secure a Debian system
 This package contains documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation
 Project.
 .
 The manual is provided both in English and in all available
 translations, which might not be, however, fully up-to-date.
 Available translations include: Brazilian Portuguese, French,
 and German.

## harden-doc 3.17

=== debian/changelog ===
harden-doc (3.17) unstable; urgency=medium

  * Update to policy 3.9.6 from 3.5.8 (Nov 2002).
  * Update to debhelper 9 from 5.
  * Various packaging cleanups.
  * Update to latest version in SVN:
    - Remove mention of MD5 shadow passwords (Closes: #703918).
    - Do not recommend dselect for holding packages (Closes: #394151).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 17 Jan 2015 10:20:10 +0000

## harden-doc 3.18

=== Makefile ===
CVSROOT=:pserver:anonymous@cvs.debian.org:/cvs/debian-doc
DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
# These are the current languages that compile cleanly
# and are sufficiently up to date
VALIDLANGS=en de fr

all: build

build: build-howto

build-howto: howto-source
	(cd howto-source && make EXTS="txt ps pdf" LANGS="$(VALIDLANGS)")
	touch build-howto

install: install-howto

install-howto: build-howto
	(cd howto-source  && make publish PUBLISHDIR=$(DESTDOC) EXTS="txt ps pdf" LNPUBDIRMAN="" LANGS="$(VALIDLANGS)")
	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
#	mkdir -p tmp-info
#	mv $(DESTDOC)/securing-debian-howto/*.info* tmp-info
#	./fixinfo
	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html

clean: howto-clean
	-rm -Rf tmp-info
	-rm -f build-howto

howto-clean: howto-source
	-(cd howto-source && make clean)

howto-source: howto-source/securing-debian-howto.sgml
howto-source/securing-debian-howto.sgml: 
	if echo "$(CVSROOT)" | grep pserver ; then cvs -d $(CVSROOT) login ; fi
	cvs -d $(CVSROOT) -z3 checkout -d howto-source \
		ddp/manuals.sgml/securing-howto
force-update:
	if echo "$(CVSROOT)" | grep pserver ; then cvs -d $(CVSROOT) login ; fi
	cvs -d $(CVSROOT) -z3 checkout -d howto-source \
		ddp/manuals.sgml/securing-howto

=== howto-source/Makefile ===
--- 
+++ 
@@ -107,7 +107,7 @@
 $(MANUAL).%.ent:
 	echo "<!ENTITY language \"$*\">"                 > $@
 	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
-	echo "<!ENTITY docdate \"`LC_ALL=C date -R`\">" >> $@
+	echo "<!ENTITY docdate \"`dpkg-parsechangelog -l../debian/changelog -SDate`\">" >> $@
 	echo "<!ENTITY docversion \"CVS\">"             >> $@

=== debian/changelog ===
harden-doc (3.18) unstable; urgency=medium

  * Change sgml entity declaration to make build reproducible.
    Based on patch by Chris Lamb (closes: #778429).
  * Clarify FAQ on raw sockets (closes: #397991).
  * Update section 4.5 on GRUB2 (closes: #762082).
  * Replace example postrm user removal code with advice to use
    deluser/delgroup --system (closes: #418779).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 22 Feb 2015 19:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0),
-                     debiandoc-sgml,
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: debiandoc-sgml,
                      dpsyco-devel,
                      ghostscript,
                      perl,
@@ -15,13 +15,14 @@
                      texlive-lang-german,
                      texlive-lang-portuguese,
                      texlive-latex-extra
-Standards-Version: 3.5.8
+Standards-Version: 3.9.6
 Homepage: http://www.debian.org/doc/manuals/securing-debian-howto/
-Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/securing-howto/
-Vcs-Browser: http://svn.debian.org/viewsvn/ddp/manuals/trunk/securing-howto/
+Vcs-Svn: svn://anonscm.debian.org/ddp/manuals/trunk/securing-howto/
+Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/manuals/trunk/securing-howto/
 
 Package: harden-doc
 Architecture: all
+Depends:  ${misc:Depends}
 Description: useful documentation to secure a Debian system
  This package contains documentation an administrator can use
  to make a Debian system more secure. It currently provides

=== debian/rules ===
#!/usr/bin/make -f

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install
	dpsch-cvsclean


# Build architecture-independent files here.
binary-arch: 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep

update:
	cd howto-source && svn update
.PHONY: build clean binary-indep binary-arch binary install

## harden-doc 3.18.1

=== Makefile ===
#
# Based  Makefile Template from Osamu Aoki
#
#  Build html(multi-page), txt, ps, pdf, and other formats.
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for the package build.
# ------------------------------------------------------------------- #
#                          WARNING                                    #
#         Use with caution, aimed at Woody system                     #
#   "ps" and "pdf" tends to break in some ill-configured systems      #
# ------------------------------------------------------------------- #
# Read local texmf.cnf file

.SUFFIXES:

# Following default shall be edited by the coordinator for the entire
# set of languages.  If a subsection owner wishes to override settings,
# they can be overridden by running make with "make 'LANGS1=fi'" etc.. 

# =================================================================== #
#                 Default configuration part: Customize               #
# =================================================================== #

# The directory in which this makefile resides must also contain a file
# called <directoryname>.[<language>.]sgml, which is the top-level file
# for the manual in this directory.

# Basename for language-dependent SGML (DDP default, generated)
MANUAL := securing-debian-howto

# Basename for language-independent SGML-template.
MANUAL0 := $(MANUAL)

# Build type: Possible values are BUILD_TYPE = web|package
BUILD_TYPE  := web

# Publish directory
# This can and will be overridden by a higher level makefile
PUBLISHDIR := ~/public_html/manuals.html

# List of languages not being handled with po4a:
LANGSNOPO := en es it pt-br ru ja zh-cn
# List of languages handled with po4a:
LANGSPO  := fr de
# List of languages built for "publish" target for DDP
LANGS    := en de fr pt-br

# Files which affect SGML generation (excluding *.sgml)
SGMLENTS := custom.ent default.ent

# All SGML source files
SGMLSRCS := $(foreach lang, $(LANGS), $(MANUAL).$(lang).sgml) \
	    $(foreach lang, $(LANGS), $(wildcard $(lang)/*.sgml ) ) \
	    $(SGMLENTS)

# All SGML targets not being handled with po4a:
SGMLNOPOSRCS := $(foreach lang, $(LANGSNOPO), $(MANUAL).$(lang).sgml)

# All SGML targets handled with po4a:
SGMLPOSRCS := $(foreach lang, $(LANGSPO), $(MANUAL).$(lang).sgml)

# =================================================================== #
#                 Build target default part: Routine                  #
# =================================================================== #
# If some languages have problems building, filter-out in here.

# define $(locale) for the following targets
$(MANUAL).%.html.stamp $(MANUAL).%.txt $(MANUAL).%.ps $(MANUAL).%.pdf: \
  locale=$(subst pt-br,pt_BR,\
         $(subst zh-cn,zh_CN,\
	 $(subst fr,fr.UTF-8,\
	 $(subst de,de.UTF-8,\
	 $*))))

### Full guide

# List of html stamp files to be built
HTMLS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).html.stamp)

# List of txt to be built
TXTS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).txt)

# List of ps to be built
PSS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).ps)

# List of pdf to be built
PDFS := $(foreach lang,$(LANGS),$(MANUAL).$(lang).pdf)


# =================================================================== #
#                 Build target part: Customize                        #
# =================================================================== #
# If some languages have problems building, filter-out in here.

all: html txt ps pdf
html: $(HTMLS)
text txt:  $(TXTS)
ps:   $(PSS)
pdf:  $(PDFS)

publish: publish-html publish-txt publish-ps publish-pdf

# =================================================================== #
#                 Build rule part: If not package build               #
# =================================================================== #

$(MANUAL).%.ent:
	echo "<!ENTITY language \"$*\">"                 > $@
	echo "<!ENTITY % lang-$* \"INCLUDE\">"          >> $@
	echo "<!ENTITY docdate \"`dpkg-parsechangelog -l../debian/changelog -SDate`\">" >> $@
	echo "<!ENTITY docversion \"CVS\">"             >> $@


# =================================================================== #
#                 Build rule part: Routine                            #
# =================================================================== #

# SGML

# Create starting SGML for each language from the template.  Actual
# contents reside in language-segregated subdirectories.

$(SGMLNOPOSRCS): $(MANUAL).%.sgml: $(MANUAL0).sgml
	sed -e "s/@@LANGS@@/$*/g" \
	    -e "s/@@DIRS@@/$*/g" \
	    -e "s/@@NAME@@/$(MANUAL)/g" \
	        $< > $(MANUAL).$*.sgml

# Create starting SGML for each language handled with po4a

$(SGMLPOSRCS): $(MANUAL).%.sgml: $(MANUAL).en.sgml $(MANUAL).en.ent po4a/po/%.po
	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a po4a/po4a.cfg

# HTML
$(MANUAL).%.html.stamp: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2html -l $(locale) -C $<
# since $(MANUAL).%.html/index.%.html cannot be a target file
	@for file in `ls $(MANUAL).$*.html/*` ; do \
	newfile=`echo $$file|\
	    sed 's/$(shell echo $*|\
		sed 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ_/abcdefghijklmnopqrstuvwxyz-/'\
		)\.html/$*\.html/'`; \
	if [ $$file != $$newfile ] ; then \
		mv $$file $$newfile; \
		echo "Rename $$file --> $$newfile"; \
	fi \
	done
	touch $(MANUAL).$*.html.stamp

# TXT

$(MANUAL).%.txt: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2text -l $(locale) $<


# PS

$(MANUAL).%.ps: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2latexps -l $(locale) $<

# PDF

$(MANUAL).%.pdf: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2latexpdf -l $(locale) $<

# DVI

$(MANUAL).%.dvi: $(MANUAL).%.sgml $(MANUAL).%.ent $(SGMLSRCS)
	debiandoc2dvi $<


# =================================================================== #
#                 Build rule part: Web publish                        #
# =================================================================== #

publish-html: html
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.html
	# install all html
	$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).html/*.html \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)
publish-txt:  txt
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.txt
	# install all txt
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).txt \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)

publish-ps:  ps
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.ps
	# install all ps
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).ps \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)


publish-pdf:  pdf
	test -d $(PUBLISHDIR)/$(MANUAL) \
	   || install -d -m 755 $(PUBLISHDIR)/$(MANUAL)
	rm -f $(PUBLISHDIR)/$(MANUAL)/*.pdf
	# install all pdf1
	@$(foreach lang,$(LANGS),\
	 install -p -m 644 $(MANUAL).$(lang).pdf \
	          $(PUBLISHDIR)/$(MANUAL)/ ;\
	)


#====[ validating SGML ]=======================================================
validate:
	set -x; for i in $(LANGS); do $(MAKE) validate1-$$i ; done

validate1-%: $(SGMLSRCS) $(MANUAL)-%.ent 
	nsgmls -gues -wall $(MANUAL)-$*.sgml


#====[ cleaning up ]===========================================================
distclean: clean
	rm -Rf $(PUBLISHDIR)/$(MANUAL)
	rm -f *.error $(MANUAL).*.sgml

clean:
	rm -f $(MANUAL).*.ent $(MANUAL).*.sgml $(MANUAL).*.tpt $(foreach suff,txt ps dvi pdf info* log tex aux toc sasp* out tov,$(wildcard $(MANUAL)*.$(suff)))
	rm -f *~ prior.aux pprior.aux body.tmp head.tmp tar.gz.log *.error date.ent
	rm -rf $(MANUAL)*.html *stamp

.PHONY: all html text txt ps pdf \
	publish publish-html publish-tst publish-ps publish-pdf \
	clean distclean validate

=== debian/changelog ===
harden-doc (3.18.1) unstable; urgency=medium

  * Remove psyco-devel dependency (Closes: #785054)
  * Update to latest sources in DDP SVN
  * debian/rules: Move to use debhelper utilities instead of having manual
    targets
  * debian/control: 
      - Use UTF-8 for maintainer name, use the proper email address

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 02 May 2016 00:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: harden-doc
 Section: doc
 Priority: extra
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
+Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: debiandoc-sgml,
-                     dpsyco-devel,
                      ghostscript,
                      perl,
                      po4a,

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
# export DH_COMPAT=5

%:
	dh $@



DESTDOC=$(CURDIR)/debian/harden-doc/usr/share/doc/harden-doc
override_dh_auto_install:
	make publish PUBLISHDIR=$(DESTDOC) EXTS="txt ps pdf" 
	mv $(DESTDOC)/securing-debian-howto/*.ps $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.txt $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto/*.pdf $(DESTDOC)
	mv $(DESTDOC)/securing-debian-howto $(DESTDOC)/html


update:
	cd howto-source && svn update

## harden-doc 3.19

=== debian/changelog ===
harden-doc (3.19) unstable; urgency=medium

  [ Javier Fernández-Sanguino Peña ]
  * Add installation override
  * debian/control:
    - Update the repository to point to Salsa
    - Update list of translations available (although not
      fully up to date)

  [ Marcos Fouces ]
  * Team upload.
  * Rename properly original english files and directories.
  * Semi-manual migration to XML (Closes: #613000)
  * Move changelog info to Revision_History.xml.
  * Add Publican build apparatus. Credits go for debian-handbook.
  * Create *.pot files
  * Add [de-DE] *.po files and merge with po4a original de.po file.
  * Add [fr-FR] *.po files merged with po4a fr.po file.
  * Add [es-ES] *.po files and move translated *.sgml's to separate dir.
    Use po4a-gettextize to extract msgid/msgstr strings.
  * Add [it-IT] *.po files and move translated *.sgml's to separate dir.
    Use po4a-gettextize to extract msgid/msgstr strings.
  * Add [jp-JA] *.po files and move translated *.sgml's to separate dir.
    Use po4a-gettextize to extract msgid/msgstr strings.
  * Add [pt-BR] *.po files and move translated *.sgml's to separate dir.
    Use po4a-gettextize to extract msgid/msgstr strings.
  * Add russian *.po files and move translated *.sgml's to separate dir.
    No strings imported.
  * Add [zh-CN] *.po files and move translated *.sgml's to separate dir.
    Use po4a-gettextize to extract msgid/msgstr strings.
  * Remove obsoleted files.
  * Rewrite rules file to reflect changes in build system.
  * Change priority to optional to obey policy.
  * debian/compat: Bump to dh compat version 11.
  * debian/control:
    - Set proper build-depends for Publican build system.
    - Bump to standards-version 4.1.3
    - Set proper Vcs-* values.
  * Import repository to git. Create tags for all versions.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 13 May 2018 13:05:17 +0200

=== debian/control ===
Source: harden-doc
Section: doc
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>= 11), rdfind, publican, publican-debian
Standards-Version: 4.1.3
Homepage: https://www.debian.org/doc/manuals/securing-debian-howto/
Vcs-Git: https://salsa.debian.org/ddp-team/securing-debian-howto.git
Vcs-Browser: https://salsa.debian.org/ddp-team/securing-debian-howto/tree/master

Package: harden-doc
Architecture: all
Depends: ${misc:Depends}
Description: useful documentation to secure a Debian system
 This package contains documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation
 Project.
 .
 The manual is provided both in English and in all available
 translations including: Brazilian Portuguese, Chinese, French, German,
 Italian, Japanese, and Spanish. Note that all not translations are up to date.

## harden-doc 3.19+nmu1

=== debian/changelog ===
harden-doc (3.19+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 15:26:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

DOCDIR=debian/harden-doc/usr/share/doc/harden-doc/html
VERSION=$(shell sed -n -e 's|.*<productnumber>\(.*\)</productnumber>.*|\1|p' en-US/Book_Info.xml)
LANGS=de-DE en-US es-ES fr-FR it-IT pt-BR zh-CN ja-JP

%:
	dh $@

# Build multiple languages in parallel
override_dh_auto_build: $(foreach lang,$(LANGS),build-html-$(lang))
build-html-%:
	./build/build-html --lang=$*

override_dh_auto_install:
	mkdir -p $(DOCDIR)
	for lang in $(LANGS); do \
		mv publish/$$lang/Securing_Debian_Manual/$(VERSION)/html/Securing_Debian_Manual $(DOCDIR)/$$lang; \
	done
	rdfind -makehardlinks true -makeresultsfile false $(DOCDIR)/en-US $(DOCDIR)

override_dh_auto_clean:
	publican clean

## harden-doc 3.19+nmu2

=== debian/changelog ===
harden-doc (3.19+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Holger Wansing ]
  * Update Vcs-* URLs in control file (repository has been moved from
    ../securing-debian-howto to ../securing-debian-manual)

  [ Boyuan Yang ]
  * Acknowledge previous NMU.
  * Replace mentioning of anonscm and SVN.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Mark binary doc package as Multi-Arch: foreign.
    + Use correct homepage URL. (Closes: #982017)
  * en-US/01_intro.xml: Fix typo.
  * pot/*.pot: Refreshed POT files.

  [ Jean-Pierre Giraud ]
  * Update French translation.

  [ Javier Fernandez-Sanguino ]
  * Update list of translated documents.

  [ Marcos Fouces ]
  * Change svn checkout url by new git clone one.
  * Modify problematic identifier section name.
  * Change dir name: build => bin. See bug #888578.
  * Fix history/changelog timeline and numbering.
  * Use publican-debian pkg branding.
  * debian/rules: Use rm command to clean build directory.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Aug 2023 18:31:23 -0400

=== debian/control ===
Source: harden-doc
Section: doc
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders:
 Thijs Kinkhorst <thijs@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 publican,
 publican-debian,
 rdfind,
Standards-Version: 4.6.2
Homepage: https://www.debian.org/doc/user-manuals#securing
Vcs-Git: https://salsa.debian.org/ddp-team/securing-debian-manual.git
Vcs-Browser: https://salsa.debian.org/ddp-team/securing-debian-manual

Package: harden-doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: useful documentation to secure a Debian system
 This package contains documentation an administrator can use
 to make a Debian system more secure. It currently provides
 the 'Securing Debian Manual' from the Debian Documentation
 Project.
 .
 The manual is provided both in English and in all available
 translations including: Brazilian Portuguese, Chinese, French, German,
 Italian, Japanese, and Spanish. Note that all not translations are up to date.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Build multiple languages in parallel
 override_dh_auto_build: $(foreach lang,$(LANGS),build-html-$(lang))
 build-html-%:
-	./build/build-html --lang=$*
+	./bin/build-html --lang=$*
 
 override_dh_auto_install:
 	mkdir -p $(DOCDIR)
@@ -20,4 +20,4 @@
 	rdfind -makehardlinks true -makeresultsfile false $(DOCDIR)/en-US $(DOCDIR)
 
 override_dh_auto_clean:
-	publican clean
+	rm -rf tmp/ publish/

## harden-doc 3.19+nmu3

=== debian/changelog ===
harden-doc (3.19+nmu3) unstable; urgency=medium

  * Non-maintainer upload.

  [ Boyuan Yang ]
  * Also enable pdf and txt build. Closes: #1051178.
  * zh-CN/: Minor translation updates.

  [ Holger Wansing ]
  * Fix many dead links, partly by switching to the web.archive.org
    equivalent. Closes: #403866, #837411.
  * Adapt debian/rules for new pdf and txt output formats and to fit the
    requirements of Debian website for these formats. 

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 16:53:17 -0400

=== debian/rules ===
#!/usr/bin/make -f

DOCDIRHTML=debian/harden-doc/usr/share/doc/harden-doc/html
DOCDIRPDF=debian/harden-doc/usr/share/doc/harden-doc/pdf
DOCDIRTXT=debian/harden-doc/usr/share/doc/harden-doc/txt
VERSION=$(shell sed -n -e 's|.*<productnumber>\(.*\)</productnumber>.*|\1|p' en-US/Book_Info.xml)
LANGS=en-US de-DE es-ES fr-FR it-IT pt-BR zh-CN ja-JP

%:
	dh $@

# Build multiple languages in parallel
override_dh_auto_build: $(foreach lang,$(LANGS),build-html-$(lang))

build-html-%:
	./bin/build-html --lang=$*

override_dh_auto_install:
	for lang in $(LANGS); do \
		mkdir -p $(DOCDIRHTML); \
		mkdir -p $(DOCDIRPDF)/$$lang; \
		mkdir -p $(DOCDIRTXT)/$$lang; \
		cp -R publish/$$lang/Securing_Debian_Manual/$(VERSION)/html/Securing_Debian_Manual $(DOCDIRHTML)/$$lang; \
		cp publish/$$lang/Securing_Debian_Manual/$(VERSION)/pdf/Securing_Debian_Manual/Securing_Debian_Manual-$(VERSION)-Securing_Debian_Manual-$$lang.pdf $(DOCDIRPDF)/$$lang/securing-debian-manual.pdf; \
		cp publish/$$lang/Securing_Debian_Manual/$(VERSION)/txt/Securing_Debian_Manual/Securing_Debian_Manual.txt $(DOCDIRTXT)/$$lang/securing-debian-manual.txt; \
	done
	rdfind -makesymlinks true -makeresultsfile false $(DOCDIRHTML)/en-US $(DOCDIRHTML)
